Avro C#

Public Member Functions | List of all members
Avro.IO.Parsing.SkipParser.ISkipHandler Interface Reference

The clients implement this interface to skip symbols and actions. More...

Inheritance diagram for Avro.IO.Parsing.SkipParser.ISkipHandler:

## Public Member Functions
void | SkipAction ()
| Skips the action at the top of the stack. More...
void | SkipTopSymbol ()
| Skips the symbol at the top of the stack. More...

## Detailed Description

The clients implement this interface to skip symbols and actions.

## Member Function Documentation

## ◆ SkipAction()

void Avro.IO.Parsing.SkipParser.ISkipHandler.SkipAction | ( |  | ) |

Skips the action at the top of the stack.

Implemented in Avro.IO.ParsingDecoder.

## ◆ SkipTopSymbol()

void Avro.IO.Parsing.SkipParser.ISkipHandler.SkipTopSymbol | ( |  | ) |

Skips the symbol at the top of the stack.

Implemented in Avro.IO.ParsingDecoder.

The documentation for this interface was generated from the following file:

- src/apache/main/IO/Parsing/SkipParser.cs